---
kind: pipeline
type: ssh
name: Homegrade Blocks | Déploiment du Plugin

clone:
        disable: true

server:
        host:
                from_secret: build_server_host
        user:
                from_secret: build_server_user
        password:
                from_secret: build_server_password

steps:
        - name: Clonage du Repo
          commands:
                  - git clone https://git.deligraph.be/Antoine/homegrade_blocks_production.git
        - name: Déploiement sur le serveur de prod
          environment:
                  PROD_SERVER_PATH:
                          from_secret: prod_server_path
          commands:
                  - cd homegrade_blocks_production
                  - rsync -avhp -e 'ssh' ./ $PROD_SERVER_PATH:~/public_html/wp-content/plugins/homegrade-blocks --delete --exclude 'node_modules' --exclude 'Makefile' --exclude '.git' --exclude '.env' --exclude '.env_prod' --exclude '.env_dev'
